import request from '@/utils/request'

// 查询分机管理列表
export function listExtension(query) {
  return request({
    url: '/cti/extension/list',
    method: 'get',
    params: query
  })
}

// 查询分机管理详细
export function getExtension(id) {
  return request({
    url: '/cti/extension/' + id,
    method: 'get'
  })
}

// 新增分机管理
export function addExtension(data) {
  return request({
    url: '/cti/extension',
    method: 'post',
    data: data
  })
}

// 修改分机管理
export function updateExtension(data) {
  return request({
    url: '/cti/extension',
    method: 'put',
    data: data
  })
}

// 删除分机管理
export function delExtension(id) {
  return request({
    url: '/cti/extension/' + id,
    method: 'delete'
  })
}
